Get a transaction by ID
GEThttps://core-prod.malipopay.co.tz/api/v1/transactions/:id
Returns a single transaction record by its document ID
Request
Path Parameters
id stringrequired
Transaction document ID
Responses
- 200
- 500
Transaction fetched successfully
- application/json
- Schema
- Example (auto)
Schema
_idstring
Unique transaction identifier
Example:
64f7a91c2e3b5d0a1c8e6f92referencestring
Transaction reference number
Example:
ML21030amountnumber
Example:
50000typestring
Possible values: [Credit, Debit]
Example:
Creditstatusstring
Transaction status (PENDING, COMPLETED, FAILED)
Example:
COMPLETEDdescriptionstring
Example:
Payment collection from customeraccountstring
Account ID
Example:
64a1bc3f9e12c4a2f1d8e7b3currencystring
Example:
TZSprojectstring
Project ID
Example:
63db68a6c5f3e7682e23c2cadeletedboolean
Example:
falsecreatedAtdate-time
Example:
2024-03-05T14:30:00.000ZupdatedAtdate-time
Example:
2024-03-05T14:30:00.000Z{
"_id": "64f7a91c2e3b5d0a1c8e6f92",
"reference": "ML21030",
"amount": 50000,
"type": "Credit",
"status": "COMPLETED",
"description": "Payment collection from customer",
"account": "64a1bc3f9e12c4a2f1d8e7b3",
"currency": "TZS",
"project": "63db68a6c5f3e7682e23c2ca",
"deleted": false,
"createdAt": "2024-03-05T14:30:00.000Z",
"updatedAt": "2024-03-05T14:30:00.000Z"
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/transactions/pagination' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response